Search for %s

  1. Search 7.x for %s
  2. Search 8.9.x for %s
  3. Search 10.3.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
content_translation_test_form_node_form_alter function core/modules/content_translation/tests/modules/content_translation_test/content_translation_test.module Implements hook_form_BASE_FORM_ID_alter().
content_translation_test_form_node_form_submit function core/modules/content_translation/tests/modules/content_translation_test/content_translation_test.module Form submission handler for custom field added based on a request parameter.
content_translation_test_views.info.yml file core/modules/content_translation/tests/modules/content_translation_test_views/content_translation_test_views.info.yml core/modules/content_translation/tests/modules/content_translation_test_views/content_translation_test_views.info.yml
content_translation_translate_access function core/modules/content_translation/content_translation.module Access callback for the translation overview page.
content_translation_update_last_removed function core/modules/content_translation/content_translation.install Implements hook_update_last_removed().
content_translation_views_data_alter function core/modules/content_translation/content_translation.module Implements hook_views_data_alter().
content_uninstall_validator service core/core.services.yml Drupal\Core\Entity\ContentUninstallValidator
context.repository service core/core.services.yml Drupal\Core\Plugin\Context\LazyContextRepository
Context::getCacheContexts function core/lib/Drupal/Core/Plugin/Context/Context.php The cache contexts associated with this object.
Context::getCacheTags function core/lib/Drupal/Core/Plugin/Context/Context.php The cache tags associated with this object.
Context::getConstraints function core/lib/Drupal/Core/Plugin/Context/Context.php Gets a list of validation constraints.
Context::getConstraints function core/lib/Drupal/Component/Plugin/Context/Context.php Gets a list of validation constraints.
Context::hasContextValue function core/lib/Drupal/Component/Plugin/Context/Context.php Returns whether the context has a value.
Context::hasContextValue function core/lib/Drupal/Core/Plugin/Context/Context.php Returns whether the context has a value.
Context::setContextValue function core/lib/Drupal/Core/Plugin/Context/Context.php Sets the context value.
Context::__construct function core/lib/Drupal/Core/Plugin/Context/Context.php Create a context object.
Context::__construct function core/lib/Drupal/Component/Plugin/Context/Context.php Create a context object.
ContextAwarePluginAssignmentTrait trait core/lib/Drupal/Core/Plugin/ContextAwarePluginAssignmentTrait.php Handles context assignments for context-aware plugins.
ContextAwarePluginAssignmentTrait.php file core/lib/Drupal/Core/Plugin/ContextAwarePluginAssignmentTrait.php
ContextAwarePluginAssignmentTrait::addContextAssignmentElement function core/lib/Drupal/Core/Plugin/ContextAwarePluginAssignmentTrait.php Builds a form element for assigning a context to a given slot.
ContextAwarePluginAssignmentTrait::contextHandler function core/lib/Drupal/Core/Plugin/ContextAwarePluginAssignmentTrait.php Wraps the context handler.
ContextAwarePluginAssignmentTrait::t function core/lib/Drupal/Core/Plugin/ContextAwarePluginAssignmentTrait.php Ensures the t() method is available.
ContextAwarePluginBase class core/lib/Drupal/Core/Plugin/ContextAwarePluginBase.php Base class for plugins that are context aware.
ContextAwarePluginBase class core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Base class for plugins that are context aware.
ContextAwarePluginBase.php file core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php
ContextAwarePluginBase.php file core/lib/Drupal/Core/Plugin/ContextAwarePluginBase.php
ContextAwarePluginBase::$context property core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php The data objects representing the context of this plugin.
ContextAwarePluginBase::createContextFromConfiguration function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Creates context objects from any context mappings in configuration.
ContextAwarePluginBase::createContextFromConfiguration function core/lib/Drupal/Core/Plugin/ContextAwarePluginBase.php
ContextAwarePluginBase::getContext function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Gets a defined context.
ContextAwarePluginBase::getContextDefinition function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Gets a specific context definition of the plugin.
ContextAwarePluginBase::getContextDefinitions function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Gets the context definitions of the plugin.
ContextAwarePluginBase::getContexts function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Gets the defined contexts.
ContextAwarePluginBase::getContextValue function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Gets the value for a defined context.
ContextAwarePluginBase::getContextValues function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Gets the values for all defined contexts.
ContextAwarePluginBase::setContext function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Set a context on this plugin.
ContextAwarePluginBase::setContextValue function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Sets the value for a defined context.
ContextAwarePluginBase::validateContexts function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Validates the set values for the defined contexts.
ContextAwarePluginBase::__construct function core/lib/Drupal/Component/Plugin/ContextAwarePluginBase.php Overrides \Drupal\Component\Plugin\PluginBase::__construct().
ContextAwarePluginBaseTest class core/tests/Drupal/KernelTests/Core/Plugin/Context/ContextAwarePluginBaseTest.php @coversDefaultClass \Drupal\Core\Plugin\ContextAwarePluginBase[[api-linebreak]]
ContextAwarePluginBaseTest.php file core/tests/Drupal/KernelTests/Core/Plugin/Context/ContextAwarePluginBaseTest.php
ContextAwarePluginBaseTest::$plugin property core/tests/Drupal/KernelTests/Core/Plugin/Context/ContextAwarePluginBaseTest.php The plugin instance under test.
ContextAwarePluginBaseTest::setUp function core/tests/Drupal/KernelTests/Core/Plugin/Context/ContextAwarePluginBaseTest.php
ContextAwarePluginBaseTest::testGetContextDefinition function core/tests/Drupal/KernelTests/Core/Plugin/Context/ContextAwarePluginBaseTest.php @covers ::getContextDefinition[[api-linebreak]]
ContextAwarePluginBaseTest::testGetContextDefinitions function core/tests/Drupal/KernelTests/Core/Plugin/Context/ContextAwarePluginBaseTest.php @covers ::getContextDefinitions[[api-linebreak]]
ContextAwarePluginBaseTest::testGetContextValue function core/tests/Drupal/KernelTests/Core/Plugin/Context/ContextAwarePluginBaseTest.php @covers ::getContextValue[[api-linebreak]]
ContextAwarePluginBaseTest::testSetContextValue function core/tests/Drupal/KernelTests/Core/Plugin/Context/ContextAwarePluginBaseTest.php @covers ::setContextValue[[api-linebreak]]
ContextAwarePluginDefinitionInterface::getContextDefinitions function core/lib/Drupal/Component/Plugin/Definition/ContextAwarePluginDefinitionInterface.php Returns all context definitions for this plugin.
ContextAwarePluginDefinitionInterface::hasContextDefinition function core/lib/Drupal/Component/Plugin/Definition/ContextAwarePluginDefinitionInterface.php Checks if the plugin defines a particular context.
ContextAwarePluginDefinitionTrait::$contextDefinitions property core/lib/Drupal/Component/Plugin/Definition/ContextAwarePluginDefinitionTrait.php The context definitions for this plugin definition.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.